Class | YARD::Parser::OrderedParser
In: | lib/yard/parser/source_parser.rb
Parent: | Object

Responsible for parsing a list of files in order. The {parse} method of this class can be called from the {SourceParser#globals} globals state list to re-enter parsing for the remainder of files in the list recursively.

@see Processor#parse_remaining_files

### Methods

new parse

### Attributes

files | [RW] | @return [Array<String>] the list of remaining files to parse

### Public Class methods

new(global_state, files)

Creates a new OrderedParser with the global state and a list of files to parse.

@note OrderedParser sets itself as the `ordered_parser` key on

      global_state for later use in {Handlers::Processor}.

@param [OpenStruct] global_state a structure containing all global

      state during parsing

@param [Array<String>] files the list of files to parse

### Public Instance methods

parse()

Parses the remainder of the {files} list.

@see Processor#parse_remaining_files

[Validate]